
do
	-- Deprecated_9_1_5.lua
	if C_LFGList then
		if not C_LFGList.GetCategoryInfo then
			-- Use GetLfgCategoryInfo going forward
			function C_LFGList.GetCategoryInfo(categoryID)
				local categoryInfo = C_LFGList.GetLfgCategoryInfo(categoryID);
				if categoryInfo then
					return categoryInfo.name, categoryInfo.separateRecommended, categoryInfo.autoChooseActivity, categoryInfo.preferCurrentArea, categoryInfo.showPlaystyleDropdown;
				end
			end
		end

		if not C_LFGList.GetActivityInfo then
			function C_LFGList.GetActivityInfo(activityID, questID, showWarmode)
				local activityInfo = C_LFGList.GetActivityInfoTable(activityID, questID, showWarmode);
				if activityInfo then
					return activityInfo.fullName, activityInfo.shortName, activityInfo.categoryID, activityInfo.groupFinderActivityGroupID, activityInfo.ilvlSuggestion, activityInfo.filters, activityInfo.minLevel, activityInfo.maxNumPlayers, activityInfo.displayType, activityInfo.orderIndex, activityInfo.useHonorLevel, activityInfo.showQuickJoinToast, activityInfo.isMythicPlusActivity, activityInfo.isRatedPvpActivity, activityInfo.isCurrentRaidActivity;
				end
			end
		end
	end

	if C_Container then
		PickupContainerItem = PickupContainerItem or C_Container.PickupContainerItem
		GetItemCooldown = GetItemCooldown or C_Container.GetItemCooldown
		GetContainerItemInfo = GetContainerItemInfo or function(containerIndex, slotIndex)
			local itemInfo = C_Container.GetContainerItemInfo(containerIndex, slotIndex)
			if itemInfo then
				return itemInfo.iconFileID, itemInfo.stackCount, itemInfo.isLocked, itemInfo.quality, itemInfo.isReadable, itemInfo.hasLoot, itemInfo.hyperlink, itemInfo.isFiltered, itemInfo.hasNoValue, itemInfo.itemID, itemInfo.isBound
			end
		end
	end

	-- 10.1
	GetAddOnMetadata = C_AddOns and C_AddOns.GetAddOnMetadata or GetAddOnMetadata

	-- 10.2
	GetCVarInfo = C_CVar.GetCVarInfo;

	EnableAddOn = C_AddOns.EnableAddOn;
	DisableAddOn = C_AddOns.DisableAddOn;
	GetAddOnEnableState = function(character, name) return C_AddOns.GetAddOnEnableState(name, character); end
	LoadAddOn = C_AddOns.LoadAddOn;
	IsAddOnLoaded = C_AddOns.IsAddOnLoaded;
	EnableAllAddOns = C_AddOns.EnableAllAddOns;
	DisableAllAddOns = C_AddOns.DisableAllAddOns;
	GetAddOnInfo = C_AddOns.GetAddOnInfo;
	GetAddOnDependencies = C_AddOns.GetAddOnDependencies;
	GetAddOnOptionalDependencies = C_AddOns.GetAddOnOptionalDependencies;
	GetNumAddOns = C_AddOns.GetNumAddOns;
	SaveAddOns = C_AddOns.SaveAddOns;
	ResetAddOns = C_AddOns.ResetAddOns;
	ResetDisabledAddOns = C_AddOns.ResetDisabledAddOns;
	IsAddonVersionCheckEnabled = C_AddOns.IsAddonVersionCheckEnabled;
	SetAddonVersionCheck = C_AddOns.SetAddonVersionCheck;
	IsAddOnLoadOnDemand = C_AddOns.IsAddOnLoadOnDemand;

	-- 10.2.5
	GetItemStats = GetItemStats or function(itemLink, existingTable)
		local statTable = C_Item.GetItemStats(itemLink);
		if existingTable then
			MergeTable(existingTable, statTable);
			return existingTable;
		else
			return statTable;
		end
	end

	if C_UnitAuras then
		UnitAura = function(unitToken, index, filter)
			local auraData = C_UnitAuras.GetAuraDataByIndex(unitToken, index, filter);
			if not auraData then
				return nil;
			end

			return AuraUtil.UnpackAuraData(auraData);
		end
		UnitBuff = function(unitToken, index, filter)
			local auraData = C_UnitAuras.GetBuffDataByIndex(unitToken, index, filter);
			if not auraData then
				return nil;
			end

			return AuraUtil.UnpackAuraData(auraData);
		end
		UnitDebuff = function(unitToken, index, filter)
			local auraData = C_UnitAuras.GetDebuffDataByIndex(unitToken, index, filter);
			if not auraData then
				return nil;
			end

			return AuraUtil.UnpackAuraData(auraData);
		end
		UnitAuraBySlot = function(unitToken, index)
			local auraData = C_UnitAuras.GetAuraDataBySlot(unitToken, index);
			if not auraData then
				return nil;
			end

			return AuraUtil.UnpackAuraData(auraData);
		end
		UnitAuraSlots = C_UnitAuras.GetAuraSlots;
	end

	-- 10.2.6
	GetItemQualityColor = C_Item.GetItemQualityColor;
	GetItemInfoInstant = C_Item.GetItemInfoInstant;
	GetItemSetInfo = C_Item.GetItemSetInfo;
	GetItemChildInfo = C_Item.GetItemChildInfo;
	DoesItemContainSpec = C_Item.DoesItemContainSpec;
	GetItemGem = C_Item.GetItemGem;
	GetItemCreationContext = C_Item.GetItemCreationContext;
	GetItemIcon = C_Item.GetItemIconByID;
	GetItemFamily = C_Item.GetItemFamily;
	GetItemSpell = C_Item.GetItemSpell;
	IsArtifactPowerItem = C_Item.IsArtifactPowerItem;
	IsCurrentItem = C_Item.IsCurrentItem;
	IsUsableItem = C_Item.IsUsableItem;
	IsHelpfulItem = C_Item.IsHelpfulItem;
	IsHarmfulItem = C_Item.IsHarmfulItem;
	IsConsumableItem = C_Item.IsConsumableItem;
	IsEquippableItem = C_Item.IsEquippableItem;
	IsEquippedItem = C_Item.IsEquippedItem;
	IsEquippedItemType = C_Item.IsEquippedItemType;
	ItemHasRange = C_Item.ItemHasRange;
	IsItemInRange = C_Item.IsItemInRange;
	GetItemClassInfo = C_Item.GetItemClassInfo;
	GetItemInventorySlotInfo = C_Item.GetItemInventorySlotInfo;
	BindEnchant = C_Item.BindEnchant;
	ActionBindsItem = C_Item.ActionBindsItem;
	ReplaceEnchant = C_Item.ReplaceEnchant;
	ReplaceTradeEnchant = C_Item.ReplaceTradeEnchant;
	ConfirmBindOnUse = C_Item.ConfirmBindOnUse;
	ConfirmOnUse = C_Item.ConfirmOnUse;
	ConfirmNoRefundOnUse = C_Item.ConfirmNoRefundOnUse;
	DropItemOnUnit = C_Item.DropItemOnUnit;
	EndBoundTradeable = C_Item.EndBoundTradeable;
	EndRefund = C_Item.EndRefund;
	GetItemInfo = C_Item.GetItemInfo;
	GetDetailedItemLevelInfo = C_Item.GetDetailedItemLevelInfo;
	GetItemSpecInfo = C_Item.GetItemSpecInfo;
	GetItemUniqueness = C_Item.GetItemUniqueness;
	GetItemCount = C_Item.GetItemCount;
	PickupItem = C_Item.PickupItem;
	GetItemSubClassInfo = C_Item.GetItemSubClassInfo;
	UseItemByName = C_Item.UseItemByName;
	EquipItemByName = C_Item.EquipItemByName;
	ReplaceTradeskillEnchant = C_Item.ReplaceTradeskillEnchant;
	IsCorruptedItem = C_Item.IsCorruptedItem;
	IsCosmeticItem = C_Item.IsCosmeticItem;
	IsDressableItem = C_Item.IsDressableItem;
	
end